export class Boilerplate {
    id?: any;
    owner?: any;
    group_of_boilerplate?: any;
    title?: string;
    has_prefix?: boolean;
    has_main?: boolean;
    has_suffix?: boolean;
}

export class BoilerplateData {
    id?: any;
    title_data?: string;
    prefix_data?: string;
    main_data?: string;
    suffix_data?: string;
}

export class GroupBoilerplate {
    id?: any;
    title_bgroup?: string;
    description?: string;
    ontology_file?: string;
}

export class InferenceResults {
    id?: any;
    infer_group_of_boilerplate?: any;
    inference_data?: any;
}

export class Sections {
    Name?: string;
    TheClasses?: Classes[];
    GeneralInstances?: Instances[];
}

export class Classes {
    Class?: string;
    Comment?: string;
    Subclass?: SubClasses[];
    Instance_of_Class?: Instances[];
}

export class SubClasses {
    SubClass_name?: any;
    SubclassComment?: any
    InstanceOfSubclass?: Instances[];
    SubSubClass?: SubSubClasses[];
}

export class SubSubClasses {
    SubSubClass_name?: any;
    SubSubclassComment?: any
    SubInstanceOfSubclass?: Instances[];
    SubSubClass?:SubSubSubClasses[];
}

export class SubSubSubClasses {
    SubSubClass_name?: any;
    SubSubclassComment?: any
    SubInstanceOfSubclass?: Instances[];
    SubSubClass?:SubSubSubSubClasses[];
}

export class SubSubSubSubClasses {
    SubSubClass_name?: any;
    SubSubclassComment?: any
    SubInstanceOfSubclass?: Instances[];
}

export class Instances {
    Instance?: any;
    Comment?: any;
}
